curl --request POST \
--url https://cloud.kaneo.app/api/notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"title": "<string>",
"message": "<string>",
"eventData": {},
"relatedEntityId": "<string>",
"relatedEntityType": "<string>"
}
'{
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"content": "<string>",
"type": "info",
"eventData": {},
"createdAt": "2023-11-07T05:31:56Z",
"isRead": true,
"resourceId": "<string>",
"resourceType": "task"
}Create a new notification for a user
curl --request POST \
--url https://cloud.kaneo.app/api/notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"title": "<string>",
"message": "<string>",
"eventData": {},
"relatedEntityId": "<string>",
"relatedEntityType": "<string>"
}
'{
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"content": "<string>",
"type": "info",
"eventData": {},
"createdAt": "2023-11-07T05:31:56Z",
"isRead": true,
"resourceId": "<string>",
"resourceType": "task"
}Bearer token authentication
Notification created successfully
info, task_created, workspace_created, task_status_changed, task_assignee_changed, time_entry_created, due_date_reminder, task_overdue task, workspace Was this page helpful?